DirectX-Diagnoseprogramm

DirectX-Diagnoseprogramm

Die Dokumentation zum Microsoft® DirectX®-Diagnoseprogramm umfasst die folgenden Themen:

  • Überblick über das DirectX-Diagnoseprogramm
  • Suchstrategie
  • Testen von DirectX-Komponenten
  • Ändern des Standardverhaltens


Überblick über das DirectX-Diagnoseprogramm

Mit dem Microsoft® DirectX®-Diagnoseprogramm erhalten Sie Informationen über die Komponenten und Treiber von DirectX-API (Application Programming Interface) auf Ihrem System. Sie können Sound- und Grafikausgabe sowie DirectPlay®-Dienstanbieter testen. Darüber hinaus können Sie einige Hardwarebeschleunigungsfeatures deaktivieren.

Mit dem Diagnoseprogramm können Sie bei einem Supportanruf Informationen für einen Techniker sammeln. Sie können die von dem Tool erfassten Informationen auch speichern und in eine E-Mail-Nachricht einfügen.

Die Informationen werden auf mehreren Seiten dargestellt. Sie können mithilfe einer der folgenden Methoden zwischen den Seiten wechseln:

  • Klicken Sie auf die Registerkarten.
  • Klicken Sie auf die Schaltfläche Nächste Seite.
  • Drücken Sie die NACH-LINKS- oder die NACH-RECHTS-TASTE, wenn eine Registerkarte aktiviert ist.

Sie können auch auf die Schaltfläche Alle Informationen speichern klicken, um die Information in einer Textdatei zu speichern.

Anmerkung Bei einigen Informationen, wie z. B. der Größe des Speichers auf einer Grafikkarte, kann es sich um ungefähre Angaben handeln.


Suchstrategie

Wenn Sie beim Ausführen von Microsoft® DirectX®-Anwendungen Probleme feststellen, kann das DirectX-Diagnoseprogramm beim Suchen der Problemursache helfen. In der nachstehenden Liste finden Sie einige Tipps zur Suche:

  • Falsche Versionen von DirectX-Komponenten. Suchen Sie auf der Seite DirectX-Dateien im Abschnitt Anmerkungen nach Warnmeldungen über Beta- und Debugdateien. Bei Betadateien handelt es sich um frühe Testversionen, die nicht zusammen mit kommerziellen Anwendungen eingesetzt werden sollten. Debugversionen werden bei der Programmentwicklung verwendet und sollten gleichfalls nicht zusammen mit dem Endprodukt eingesetzt werden, da sie dazu führen können, dass Anwendungen wesentlich langsamer ausgeführt werden, als dies bei den im Handel erhältlichen Versionen der Komponenten der Fall ist.
  • Keine Hardwarebeschleunigung. Einige Programme werden sehr langsam oder überhaupt nicht ausgeführt, wenn keine Microsoft DirectDraw®- oder Direct3D®-Hardwarebeschleunigung zur Verfügung steht. Überprüfen Sie auf der Seite Anzeige unter DirectX-Funktionen, ob DirectDraw-, Direct3D- oder AGP-Oberflächenbeschleunigung mit "Nicht verfügbar" markiert ist. In diesem Fall sollten Sie eine Aufrüstung Ihrer Hardware erwägen.
  • Gerät nicht verbunden. Falls ein Joystick oder anderes Eingabegerät nicht reagiert, wurde es möglicherweise nicht ordnungsgemäß installiert. Überprüfen Sie, ob das Gerät im DirectX-Diagnoseprogramm auf der Seite Eingabe vorhanden ist. Fügen Sie das Gerät gegebenenfalls in der Systemsteuerung hinzu.
  • Nicht zertifizierte Treiber. Nicht zertifizierte Treiber wurden von Microsoft nicht hinsichtlich der vollständigen Kompatibilität mit der neuesten Version von DirectX überprüft. Diese Treiber sind auf der entsprechenden Komponentenseite aufgelistet.


Testen von DirectX-Komponenten

Sie können Microsoft® DirectDraw® und Direct3D® auf jedem an Ihrem System angeschlossenen Monitor testen. Darüberhinaus können Sie DirectSound® auf jedem Wave-Ausgabegerät und DirectMusic® auf jedem Audioanschluss testen.

So testen Sie ein DirectX-Feature: Klicken Sie auf die Schaltfläche zum Testen auf der jeweiligen Seite, lesen Sie alle angezeigten Meldungen, und beobachten Sie die jeweiligen Tests. Führen Sie jeden Test solange aus, bis eine Meldung angezeigt wird, in der Sie gefragt werden, ob der Test erfolgreich durchgeführt wurde. Wenn Sie mit Nein antworten, werden keine weiteren Tests mehr ausgeführt.

Bei DirectMusic gibt es lediglich einen einzigen Test. Klicken Sie auf OK, wenn Sie den Test abbrechen möchten, unabhängig davon, ob die Musik einwandfrei wiedergegeben wurde oder nicht.

Sie können die Microsoft DirectPlay®-Funktionalität für jeden verfügbaren Dienstanbieter testen.

Prozedurpfeil So testen Sie DirectPlay

  1. Klicken Sie auf der Seite Netzwerk auf DirectPlay testen. Geben Sie im Dialogfeld DirectPlay testen einen Benutzernamen ein, und wählen Sie einen Dienstanbieter aus. Wählen Sie Neue Sitzung erstellen, und klicken Sie auf OK. Klicken Sie bei einer Modemverbindung im Dialogfeld Modemverbindung auf Antworten, um das Modem in den automatischen Antwortmodus zu schalten.
  2. Führen Sie das Microsoft DirectX®-Diagnoseprogramm jetzt auf einem anderen Computer aus, der die ausgewählte Verbindung zu dem ersten Computer herstellen kann. Klicken Sie auf DirectPlay testen, geben Sie einen anderen Benutzernamen ein, wählen Sie denselben Dienstanbieter, klicken Sie auf die Schaltfläche Bestehender Sitzung beitreten, und klicken Sie dann auf OK.

    3. Bei einigen Verbindungsarten werden Sie unter Umständen aufgefordert, weitere Informationen einzugeben, wie z. B. eine Telefonnummer. Bei einer TCP/IP-Verbindung in einem lokalen Netzwerk können Sie das Textfeld leer lassen.

  3. Auf dem zweiten Computer sollte nun in Sitzungsliste der Name der Sitzung, die auf dem ersten Computer erstellt wurde, angezeigt werden, markieren Sie den Namen der Sitzung, und klicken Sie auf OK.
  4. Auf beiden Computern sollte jetzt ein Chatdialogfeld angezeigt werden. Geben Sie auf einem Computer eine Nachricht im Eingabefeld ein, und klicken Sie auf Senden. Die Nachricht sollte auf beiden Computern im Bildlaufbereich des Chatdialogfeldes angezeigt werden.


Ändern des Standardverhaltens

Sie können den Grad der Hardwarebeschleunigung auf der Seite Sound durch Verschieben des Reglers ändern. Dieser Beschleunigungsgrad bleibt nach dem Schließen des Microsoft® DirectX®-Diagnoseprogramms wirksam.

Anmerkung Dieses Feature steht in Microsoft Windows® 95 nicht zur Verfügung.

Sie können die Hardwarebeschleunigung für Microsoft DirectDraw® oder Direct3D® deaktivieren, sofern eine solche Beschleunigung verfügbar ist. Zu diesem Zweck, gehen Sie zu der Seite Anzeige für das jeweilige Anzeigegerät, und klicken Sie auf die Schaltfläche Deaktivieren. Nach dem Deaktivieren der Hardwarebeschleunigung bleibt diese auch nach dem Schließen des DirectX-Diagnoseprogramms deaktiviert und steht für keine Anwendung zur Verfügung. Um die Hardwarebeschleunigung wieder zu aktivieren, klicken Sie auf die Schaltfläche Aktivieren auf der entsprechenden Anzeigeseite.

Anmerkung Durch das Deaktivieren der Beschleunigung für DirectDraw wird auch die Beschleunigung für Direct3D deaktiviert.

Darüber hinaus können Sie die Monitorwiederholfrequenz außer Kraft setzen, die von DirectDraw-Anwendungen im Vollbildmodus eingestellt wird. Dies sollte nur dann erfolgen, wenn bei einer Anwendung Probleme auftreten und davon auszugehen ist, dass von der Anwendung eine unzulässige Bildwiederholfrequenz eingestellt wird.

Prozedurpfeil So ändern Sie die Bildwiederholfrequenz

  1. Klicken Sie auf der Seite Weitere Hilfe auf die Schaltfläche Außer Kraft setzen.
  2. Aktivieren Sie im Dialogfeld DirectDraw-Aktualisierungsverhalten das Eingabefeld, und geben Sie eine zulässige Wiederholfrequenz für Ihren Monitor ein.

    3. In diesem Fall wird das Optionsfeld Wert für die Außerkraftsetzung automatisch aktiviert.

  3. Klicken Sie auf OK.

Prozedurpfeil So widerrufen Sie die geänderte Bildwiederholfrequenz und lassen das Einstellen der Wiederholfrequenz durch DirectDraw-Anwendungen zu

  1. Klicken Sie auf der Seite Weitere Hilfe auf die Schaltfläche Außer Kraft setzen.
  2. Aktivieren Sie im Dialogfeld DirectDraw-Aktualisierungsverhalten das Optionsfeld Standard, und klicken Sie auf OK.


Thema nicht gefunden

Es wurde kein entsprechendes Thema gefunden. Im Folgenden werden mögliche Ursachen und Lösungsvorschläge aufgeführt:

  • Die Datei (CHM), die das Zielthema enthält, befindet sich nicht am erwarteten Speicherort.

    • Lösung: Führen Sie MSDN Library Setup erneut aus.

  • Die Datei (CHM), die das aktuelle Thema oder das Zielthema enthält, ist veraltet, und die Verknüpfung ist nicht mehr gültig.

    • Lösung: Installieren Sie die neueste Version von MSDN Library.

  • Die MSDN Library-CD befindet sich nicht im CD-ROM-Laufwerk.

    • Lösung: Legen Sie die MSDN Library-CD in das CD-ROM-Laufwerk ein.

Erstellt Freitag, den 18. August 2000